

body,
html {
  height: 100%;
  font-size: 50px;
}

body {
	line-height: 1.5;
	font-family: PingFang SC, Noto SansCJK, Microsoft Yahei, Heiti SC;
	font-size: .12rem;
	font-weight: 400;
	color: #000;
  background-color: #fff;
  margin: 0;
}

/* 需要区分 */
@media screen and (max-width: 960px){
  /* 手机端CSS代码 */
  body{
      width: 100%;
  }
  html{
      font-size: -webkit-calc(100vw / 7.5);
      font-size: -moz-calc(100vw / 7.5);
      font-size: calc(100vw / 7.5); 
      /* 375px的屏幕 1rem = 50px */
  }
}
 
@media screen and (min-width: 960px){
  /* 电脑端CSS代码 */
  body{
      width: 750px;
      margin: 0px auto;
  }
  html{
      font-size: 100px; 
  }
}


/* app */
#app {
	position: relative;
	width: 100%;
	height: 100%
}
/* banner */
.banner {
	position: relative;
	width: 100%;
}

.my_redPack {
  position: absolute;
  right: 0;
  top: 0.46rem;
  width: 1.44rem;
}

.banner .banner-holder {
	width: 100%;
	height: 3.5rem
}
.banner .banner-pic {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  /* object-fit: cover;
  object-position: top;
  vertical-align: bottom;
  -webkit-transform: translateZ(0);
  transform: translateZ(0); */
}

/* 简介 */
.fs-desc-con{
  font-size: .25rem;
  color: #4A4A4A;
  letter-spacing: 0.17px;
  text-align: justify;
  padding: 12px 24px;
  height: 26px;
  overflow: hidden;
  position: relative;
}
.show-desc-con {
  height: auto;
}


.desc-ctrl {
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	justify-content: center;
	-webkit-box-align: center;
	-webkit-align-items: center;
	align-items: center;
	width: 100%;
	height: .4rem;
	font-size: .28rem;
  color: #fff;
  display: block;
  text-align: center;
  margin-top: 8px;
  margin-bottom: 10px;
}

.show-desc-ctrl {
  height: auto;
}

.desc-ctrl .desc-icon {
	margin-right: .2rem;
	/* width: .4rem; */
	height: .2rem;
	-webkit-transform: rotate(180deg);
	transform: rotate(180deg)
}


.desc-ctrl span {
  font-size: inherit;
  font-size: 14px;
  color: #aaaaaa;
}


/* 类别选项 */
.categroy_container {
  height: 0.8rem;
  width: 100%;
  display: -webkit-box;
  overflow-x: auto;
  overflow-y: hidden;
  -webkit-overflow-scrolling: touch;
  border-bottom: 0.5px solid #eee;
  position: relative;
}

.categroy_container .category_item {
  height: 100%;
  padding: 0.06rem 0.84rem 0;
  line-height: 0.8rem;
  color: #999;
  font-size: 0.32rem;
  position: relative;
}

.categroy_container .category_item:after {
  content: "";
  width: 0.32rem;
  height: 0.06rem;
  background-color: #E02020;
  position: absolute;
  left: 50%;
  margin-left: -0.16rem;
  bottom: -0.1rem;
  -webkit-transition: all .3s;
  transition: all .3s;
  border-radius: 3px;
}

.categroy_container .active {
  font-weight: bold;
  color: #333;
}

.categroy_container .active:after {
  bottom: 0.1rem;
}

/* 投票内容 */
.vote-container {
	width: 100%;
	height: auto
}

.vote-container__header {
	position: -webkit-sticky;
	position: sticky;
	top: 0;
	padding: .3rem 0 .2rem;
	background-color: #fff;
	z-index: 10
}

/* 搜索框 */
.search {
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	justify-content: center;
	padding: 0 .5rem .3rem
}

.search .search-ctrl, .search {
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	-webkit-box-align: center;
	-webkit-align-items: center;
	align-items: center
}
.search .search-ctrl {
	-webkit-justify-content: space-around;
	justify-content: space-around;
	padding: 0 .1rem;
	width: 5.4rem;
	height: .6rem;
	border-radius: 30px;
	background-color: #eee
}

.search .search-ctrl .search-icon {
	width: .3rem;
	height: .3rem;
  background-image:url(../img/searchIcon.png) ;
  background-repeat: no-repeat;
	background-size: cover
}

.search .search-ctrl .clear-icon {
	width: .25rem;
  height: .25rem;
  background-image: url(../img/closeIcon.png);
	background-repeat: no-repeat;
	background-size: cover
}

.search .search-ctrl .search-world {
	width: 4rem;
	height: inherit;
	border: none;
	outline: none;
	background-color: transparent;
	font-size: .28rem;
}

.search .search-btn {
	padding-left: .3rem;
	width: .7rem;
	font-size: .3rem
}

.vote-container .scroll-view {
	width: 100%;
  height: auto;
  padding: 0 .5rem;
	box-sizing: border-box;
  -webkit-overflow-scrolling: touch;
  position: relative;
}

.no-data{
	text-align: center;
	position: relative;
  margin-top: 40px;
  box-sizing: border-box;
  overflow: hidden;
}
.no-data span {
    background-color: #fff;
    z-index: 1;
    position: relative;
    padding: 12px;
    font-size: 16px;
    color: #bdbdbd;
}
.no-data:after {
    content: '';
    display: block;
    width: 90%;
    border-bottom: 1px solid #ddd;
    position: absolute;
    top: 50%;
    left: 5%;
}

.scroll-view .loading .loading-item {
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	justify-content: center;
	-webkit-box-align: center;
	-webkit-align-items: center;
	align-items: center;
	padding: 0 0 .2rem;
	width: 100%;
	height: .5rem;
	border-radius: 5px;
}

.scroll-view .loading .loading-item .loading-icon-box {
	width: .4rem;
	height: .4rem
}

.scroll-view .loading .loading-item p {
	margin: 0 0 0 .1rem;
	height: .4rem;
	font-size: .28rem;
	line-height: .4rem;
	color: #333;
}


.scroll-view .no-more {
	padding: 0 0 .2rem;
	font-size: .3rem;
	text-align: center;
	color: #aaa;
}

.pic-box {
	display: inline-block
}

.pic-box:nth-child(odd) {
	margin-right: .3rem;
}

.vote-item.vote-item-pic {
	margin-bottom: .3rem;
	width: 3.1rem
}

.vote-item.vote-item-pic .img-wrapper {
	position: relative;
	width: 3.1rem;
	height: 3.1rem;
	border-radius: 5px;
	overflow: hidden;
	z-index: 1
}

.vote-item.vote-item-pic .img-wrapper .cover {
	position: absolute;
	top: 0;
	left: 0;
	width: inherit;
	height: inherit;
	object-fit: cover;
	border-radius: 5px;
	-webkit-transition: opacity .7s;
	transition: opacity .7s;
	-webkit-transform: scale(1.2);
	transform: scale(1.2);
	-webkit-filter: blur(10px);
	filter: blur(10px);
	z-index: 1
}

.vote-item.vote-item-pic .img-wrapper .pic {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center center;
	-webkit-transition: opacity .7s;
	transition: opacity .7s;
	overflow: hidden;
	z-index: 2;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%)
}

.vote-item.vote-item-pic .info {
	width: inherit;
	padding: .2rem;
	box-sizing: border-box
}

.vote-item.vote-item-pic .info .detail-info {
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	-webkit-box-pack: justify;
	-webkit-justify-content: space-between;
	justify-content: space-between;
	-webkit-box-align: center;
	-webkit-align-items: center;
	align-items: center;
	margin-top: .1rem
}

.vote-item.vote-item-pic .info .detail-info .author-name {
	font-size: .30rem;
	color: #333
}

.vote-item.vote-item-pic .info .detail-info .praise {
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	justify-content: center;
	-webkit-box-align: center;
	-webkit-align-items: center;
	align-items: center;
	position: relative
}

.vote-item.vote-item-pic .info .detail-info .praise .praise-icon {
	margin-right: .2rem;
	width: .4rem
}

.vote-item.vote-item-pic .info .detail-info .praise .praise-num {
	font-size: .3rem;
	white-space: nowrap
}

/* 投票操作框 */
.vote-modal {
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	justify-content: center;
	-webkit-box-align: center;
	-webkit-align-items: center;
	align-items: center;
	position: fixed;
	z-index: 103
}

.vote-modal__mask {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, .5);
	z-index: 4
}

.vote-modal__content {
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-webkit-flex-direction: column;
	flex-direction: column;
	-webkit-box-align: center;
	-webkit-align-items: center;
	align-items: center;
	position: fixed;
	top: 50%;
	left: 50%;
	margin-left: -3.25rem;
	margin-top: -2.15rem;
	width: 6.5rem;
	background: #fff;
	border-radius: 5px;
	z-index: 5
}

.vote-modal__content>.close {
	position: absolute;
	top: .3rem;
	right: .3rem;
	width: .3rem;
	height: .3rem;
	background-image:
		url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAUBAMAAAB/pwA+AAAAD1BMVEUAAACZmZmZmZmZmZmZmZnwkG6qAAAABXRSTlMAPus/rPCWc50AAABRSURBVAjXRc/RCYBQDEPRPFygiAsUF5C3gfsvJZek2I+SHOhH9SpzaZfTunW04/kINgoOwkHYaAbDYDjIeU9avWuwVg/SgtTBMAsIWsDw/9AHFFUGo5Y4EUEAAAAASUVORK5CYII=);
	background-repeat: no-repeat;
	background-size: cover
}

.vote-modal__content>h2 {
	margin-top: .5rem;
	font-size: .3rem
}

.vote-modal__content>.vote-btns {
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	-webkit-box-pack: justify;
	-webkit-justify-content: space-around;
	justify-content: space-around;
	margin: .3rem 0;
  width: 90%
}

.vote-modal__content>.vote-btns>.btn {
	width: 1.6rem;
	height: .7rem;
	border: 1px solid #eee;
	border-radius: 5px;
	text-align: center;
	line-height: .7rem;
	font-size: .3rem;
	color: #666
}
.vote-modal__content>.vote-btns>.select-btn {
  background: rgb(224, 32, 32);
  color: white;
}

.vote-modal__content>.vote-tips {
	margin-bottom: 1.3rem;
	width: 90%;
	font-size: .24rem
}

.vote-modal__content>.vote-tips>p {
	margin: 0;
	color: #666
}

.vote-modal__content>.vote-tips>p>span {
	color: #e13629
}

/* 弹窗提示 */
.alert,.alert .open-alert {
  position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 999999;
}

.alert .open-alert{
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	justify-content: center;
	-webkit-box-align: center;
	-webkit-align-items: center;
	align-items: center;
}

.open-alert .alert-mask {
  position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, .5);
	z-index: 1;
}

.open-alert .close-btn {
  position: absolute;
	top: 10px;
	right: 10px;
	width: 15px;
  height: 15px;
  background-image: url(../img/closeIcon.png);
	background-repeat: no-repeat;
	background-size: cover
}

.open-alert .alert-content {
  position: relative;
	width: 6.9rem;
	height: 3.5rem;
	border-radius: 5px;
	background-color: #fff;
	z-index: 2
}

.open-alert .alert-title {
  margin: .53rem auto;
	text-align: center;
	font-size: .3rem;
	font-weight: 700
}

.open-alert .alert-desc {
  text-align: center;
	font-size: .28rem
}

.open-alert .alert-btn,.vote-modal .alert-btn {
  position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 1rem;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	background-color: #ff454a;
	font-size: .3rem;
	text-align: center;
	line-height: 1rem;
	color: #fff;
	box-sizing: border-box;
}

/* 详情 */
.simple_container {
  padding: 20px 16px;
  box-sizing: border-box;
  width: 100%;
  border-top: #efefef solid 1px;
  border-spacing:0px 16px;
}

.vote_title,.votes_title {
  font-size: 0.36rem;
  font-weight: 500;
  line-height: 0.54rem;
  color: #333;
  margin-bottom: 0.72rem;
}

.vote_title span {
  float: right;
  /* margin-top: 5px; */
}
/* .votes_title {
  text-align: right;
  margin: 0.12rem 0;
} */

.bottom_praise {
  width: 3rem;
  margin: 1rem auto;
  height: 44px;
  border-radius: 22px;
  text-align: center;
  line-height: 44px;
  color: white;
  font-size: 0.3rem;
  font-weight: 400;
  /* border:1px solid #efefef; */
  background-image: linear-gradient(to right, rgba(255,78,20,1) , rgba(224,32,32,1));
}
/* .bottom_praise img {
  vertical-align:top;
  margin-top: 2px;
  margin-left: 5px;
}

.bottom_praise p {
  display: inline-block;
  font-size: .32rem;
  margin: 0 16px;
  line-height: 44px;
} */
.bottom_desc {
  font-size: 0.32rem;
  text-align: center;
  color: #999;
}

.more-btn {
	width: 80%;
	line-height: 0.6rem;
	color: white;
	background: rgba(242, 25, 16, 1);
	text-align: center;
  margin: 0.2rem auto 0.6rem;
  border-radius: 0.12rem;
}